//Sound effects converter
//The effects are made with AYFX Editor and then converted with this tool

#include <cstdlib>
#include <iostream>

using namespace std;

int main(int argc, char *argv[])
{
    FILE *file;
    unsigned char afx[1024];
    int pp,tag,div,vol,pvol,cnt,size;
    
    file=fopen(argv[1],"rb");
    if(!file)
    {
        printf("Can't open file\n");
        return 1;
    }
    
    fseek(file,0,SEEK_END);
    size=ftell(file);
    fseek(file,0,SEEK_SET);
    
    fread(afx,size,1,file);
    
    fclose(file);

    pp=0;
    pvol=-1;
    cnt=0;
    
    while(pp<size)
    {
        tag=afx[pp++];
        vol=tag&15;

        if(tag&0x20)
        {
            div=afx[pp]+afx[pp+1]*256;
            pp+=2;
        }
        if(tag&0x40) pp++;
        
         printf("    db (CLK/%i)>>8\n",3500000/2/16/div);
    }

    printf("    db 255\n");

    system("PAUSE");
    return EXIT_SUCCESS;
}
